## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.3
%bcond_without check

# https://github.com/FiloSottile/edwards25519
%global goipath         filippo.io/edwards25519
%global forgeurl        https://github.com/FiloSottile/edwards25519
Version:                1.0.0~rc.1

%gometa

%global extractdir      %(echo %{extractdir} | sed -e 's/~/-/g')
%global gosource        %(echo %{gosource} | sed -e 's/~/-/g')


%global common_description %{expand:
This library implements the edwards25519 elliptic curve, exposing the necessary
APIs to build a wide array of higher-level primitives. Read the docs at
pkg.go.dev/filippo.io/edwards25519.

The code is originally derived from Adam Langley's internal implementation in
the Go standard library, and includes George Tankersley's performance
improvements. It was then further developed by Henry de Valence for use in
ristretto255, and was finally merged back into the Go standard library as of Go
1.17. It now tracks the upstream codebase and extends it with additional
functionality.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Implementation of the edwards25519 elliptic curve

# Upstream license specification: BSD-3-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~rc.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~rc.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0~rc.1-3
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~rc.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 06 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0~rc.1-1
- Update to 1.0.0-rc.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~beta.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun May 23 17:19:44 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0~beta.3-1
- Update to 1.0.0~beta.3
- Close: rhbz#1963656

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0~beta.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 21 23:52:49 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.0~beta.2-1
- Initial package

